Subject: [bug#38436] [PATCH] gnu: Add gfortran-toolchain

From: Ludovic Courtès <[email-masked]>
Date: Thu, 12 Dec 2019 22:22:50 +0100

Konrad Hinsen <[email-masked]> skribis:

>>   (let-syntax ((synopsis (syntax-rules () ((_ str) str))))
>>     (make-gcc-toolchain gfortran #:synopsis (synopsis "…")))
>>
>> Quite an effort for this little thing, but I couldn’t find of anything
>> simpler.
>
> It looks like I still don't understand how this works. Why wouldn't
> the simpler
>
>    (let ((synopsis (lambda (_) _)))
>      (make-gcc-toolchain gfortran #:synopsis (synopsis "…")))

Ah yes, that would work too.

> be sufficient? And is there a good reason to prefer such constructs
> to
>
>   (define-public gfortran-toolchain
>    (package (inherit (make-gcc-toolchain gfortran))
>      (synopsis ...)
>      (description ...)
>
> which I think expresses the intention more clearly?

Oh I guess I had overlooked this proposal, I agree that it’s nicer.

Apologies for the confusion!

Ludo’.